delete from smstyp where typ='data_export_entire';
insert into smstyp (appcd,typ,tycd,smsschcd,dscpt,status,crby,crdate,lupdateby,lupdate) values ('SMS','data_export_entire','',(select smsschcd from smsschparm where status='001' limit 1),'001','A','pdsuser',current_date,'pdsuser',current_date);


create table tmp_smsattparm as select * from smsattparm;

drop table smsattparm;

CREATE TABLE smsattparm (
    smsschcd character varying(30),
    "day" smallint,
    "session" character varying(3),
    jobtyp character varying(3),
    holi_typ character varying(3),
    clockin time without time zone,
    clockout time without time zone,
    allwint time without time zone,
    allwout time without time zone,
    classout character varying(1),
    maxcout time without time zone,
    status character varying(1),
    cdate date,
    lupdate date,
    lupdateby character varying(50),
    staffid character varying(20),
    sdate date,
    effective date
);


ALTER TABLE public.smsattparm OWNER TO school;

CREATE UNIQUE INDEX smsattparm_idx ON smsattparm USING btree (cdate, "day", jobtyp, sdate, "session", smsschcd, staffid, status);


insert into smsattparm (smsschcd, day, session, jobtyp,clockin,clockout,allwint,allwout,classout,maxcout,status,cdate,lupdate,lupdateby,staffid,sdate,effective) select smsschcd, day, session, jobtyp,clockin,clockout,allwint,allwout,classout,maxcout,status,cdate,lupdate,lupdateby,staffid,sdate,effective from tmp_smsattparm;

drop table tmp_smsattparm;

update smsattparm set holi_typ='';



